メインコンテンツへスキップ
PUT
https://{tenantDomain}/api/v2
/
rules-configs
/
{key}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.RulesConfigs.Set(
        context.TODO(),
        "key",
        &management.SetRulesConfigRequestContent{
            Value: "value",
        },
    )
}
{
  "key": "MY_RULES_CONFIG_KEY",
  "value": "MY_RULES_CONFIG_VALUE"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

key
string
必須

Key of the rules config variable to set (max length: 127 characters).

Required string length: 1 - 127
Pattern: ^[A-Za-z0-9_\-@*+:]*$

ボディ

value
string
デフォルト:MY_RULES_CONFIG_VALUE
必須

Value for a rules config variable.

レスポンス

Rules config variable successfully set.

key
string
デフォルト:MY_RULES_CONFIG_KEY
必須

Key for a rules config variable.

Required string length: 1 - 127
Pattern: ^[A-Za-z0-9_\-@*+:]*$
value
string
デフォルト:MY_RULES_CONFIG_VALUE
必須

Value for a rules config variable.